Skip to main content
Version: Developer

Resolve where the proxy should forward a request into a session

GET 

/api/session/sessions/:session_id/connection

nginx auth_request target. Reads the browser's request from X-Original-URI and answers with headers only: connect_hostname, connect_port, connect_path, connect_schema, connect_auth and connect_session_id.

Request​

Responses​

Resolved; the answer is in the headers

Response Headers
    connect_hostname

    Host to forward the request to.

    connect_port

    Port on that host.

    connect_path

    Path prefix on that host.

    connect_schema

    http or https.

    connect_auth

    Authorization value to present upstream, or empty.

    connect_session_id

    The session the request was resolved against.